sobki_theme_bootstrap.icon_pack.fontawesome:
  type: mapping
  label: 'Fontawesome settings'
  constraints:
    FullyValidatable: ~
  mapping:
    width:
      type: string
      label: 'Width'
    height:
      type: string
      label: 'Height'
    color:
      type: string
      label: 'Color'
    alt:
      type: label
      label: 'Alt text'

ui_icons.icon_pack_options.fontawesome_brands:
  type: sobki_theme_bootstrap.icon_pack.fontawesome
  label: 'Fontawesome brands settings'

ui_icons.icon_pack_options.fontawesome_regular:
  type: sobki_theme_bootstrap.icon_pack.fontawesome
  label: 'Fontawesome brands settings'

ui_icons.icon_pack_options.fontawesome_solid:
  type: sobki_theme_bootstrap.icon_pack.fontawesome
  label: 'Fontawesome brands settings'
